Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface LDAPClientApplication

All Known Subinterfaces:
  NonManagedLDAPClientApplication

All Known Implementing Classes:
  LDAPClientApplicationImpl, NonManagedLDAPClientApplicationImpl

    public interface LDAPClientApplication

LDAP Application interface. The main entry point for LDAP operations. Defines methods for accessing various operations possible on the LDAP server.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`AddEntry` | `getAddEntry()` Gets the instance of the class that is used to perform Add operation
`CompareEntry` | `getCompareEntry()` Gets the instance of the class that is used to perform Compare operation
`ModifyEntry` | `getModifyEntry()` Gets the instance of the class that is used to perform Modify operation
`PersistentSearch` | `getPersistentSearch()` Gets the instance of the class that is used to perform Persistent Search.
`RemoveEntry` | `getRemoveEntry()` Gets the instance of the class that is used to perform Remove operation
`RenameEntry` | `getRenameEntry()` Gets the instance of the class that is used to perform Rename operation
`Search` | `getSearch()` Gets the instance of the class that is used to perform Search operation
`TimestampSearch` | `getTimestampSearch()` Gets the instance of the class that is used to track updates on the LDAP server.
`StartTLSExtension` | `getTlsExtension()` Gets the instance of the class that is used to enable TLS on demand.
`void` | `reset()` Method to reset the values

Method Detail

### getAddEntry

    AddEntry getAddEntry()
                         throws LDAPApplicationException

  Gets the instance of the class that is used to perform Add operation

  Returns:
    the instance of AddEntry class associated with this client application
  Throws:
    `LDAPApplicationException`

### getSearch

    Search getSearch()
                     throws LDAPApplicationException

  Gets the instance of the class that is used to perform Search operation

  Returns:
    the instance of Search class associated with this client application
  Throws:
    `LDAPApplicationException`

### getCompareEntry

    CompareEntry getCompareEntry()
                                 throws LDAPApplicationException

  Gets the instance of the class that is used to perform Compare operation

  Returns:
    the instance of CompareEntry class associated with this client application
  Throws:
    `LDAPApplicationException`

### getRenameEntry

    RenameEntry getRenameEntry()
                               throws LDAPApplicationException

  Gets the instance of the class that is used to perform Rename operation

  Returns:
    the instance of RenameEntry class associated with this client application
  Throws:
    `LDAPApplicationException`

### getRemoveEntry

    RemoveEntry getRemoveEntry()
                               throws LDAPApplicationException

  Gets the instance of the class that is used to perform Remove operation

  Returns:
    the instance of RemoveEntry class associated with this client application
  Throws:
    `LDAPApplicationException`

### getModifyEntry

    ModifyEntry getModifyEntry()
                               throws LDAPApplicationException

  Gets the instance of the class that is used to perform Modify operation

  Returns:
    the instance of ModifyEntry class associated with this client application
  Throws:
    `LDAPApplicationException`

### getTlsExtension

    StartTLSExtension getTlsExtension()
                                      throws LDAPApplicationException

  Gets the instance of the class that is used to enable TLS on demand. The instance so returned has methods for starting & stopping the TLS operation.

  Returns:
    the instance of StartTLSExtension class associated with this client application
  Throws:
    `LDAPApplicationException`

### getPersistentSearch

    PersistentSearch getPersistentSearch()
                                         throws LDAPApplicationException

  Gets the instance of the class that is used to perform Persistent Search. Persistent Search is a control supported by LDAP v3 that is used to track updates on the LDAP server.

  Returns:
    the instance of PersistentSearch class associated with this client application
  Throws:
    `LDAPApplicationException`

### getTimestampSearch

    TimestampSearch getTimestampSearch()
                                       throws LDAPApplicationException

  Gets the instance of the class that is used to track updates on the LDAP server. where Persistent Search control is not supported. This class depends on the timestamp of the entries to track the updates.

  Returns:
    the instance of TimestampSearch class associated with this client application
  Throws:
    `LDAPApplicationException`

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD